{
    "type": "minecraft:smithing_transform",
    "template": {
      "item": "minecraft:cod_spawn_egg"
    },
    "base": {
      "item":  "minecraft:golden_pickaxe"
    },
    "addition": {
      "item": "minecraft:gold_ingot"
    },
    "result": {
      "id": "minecraft:golden_pickaxe",
      "count": 1,
      "components": {
        "minecraft:trim": {
          "pattern": "tooltrims:charge",
          "material": "minecraft:gold"
        },
        "minecraft:custom_model_data": 311025
      }
    }
  }